Subject: Re: bug#22213: 24.5; please allow specification or elimination of timestamp in autoloads

From: Glenn Morris <[email-masked]>
Date: Sat, 19 Dec 2015 14:11:44 -0500

David Bremner wrote:

> Unfortunately update-directory-autoloads uses (current-time), which
> effectively means this unpacking is different every time.

Actually it doesn't, since 5200c2baefbc8:

http://lists.gnu.org/archive/html/emacs-diffs/2015-06/msg00357.html

So long as the timestamps of your inputs are fixed, the output should
not vary. I would be interested to hear if this solves the problem for you.

The only remaining issue I'm aware of is if there are generated files in
your inputs, they get a new timestamp every build, so the output
loaddefs file still varies. Eg this applies to the lisp/loaddefs.el file
in Emacs. I think the right solution for that might be to skip
no-update-autoloads files altogether (rather than recording them in the
trailing section of loaddefs), but I haven't looked at this properly.